kernel 4.4.0-63 with USB WLAN RTL8192CU freezes desktop

Bug #1666421 reported by camikusch on 2017-02-21
206
This bug affects 36 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Joseph Salisbury
Xenial
High
Joseph Salisbury
Yakkety
High
Joseph Salisbury

Bug Description

booting PC with USB WLAN stick RTL8192CU attached on kernel 4.4.0-63-generic:
Grub works, entering full disk encryption passphrase works, but when the desktop comes up mouse and keyboard (via USB) are dead and the desktop also.

booting the PC without the stick attached works fine, but as soon as it is attached (see syslog) mouse, keyboard and the desktop itself are dead (checked by opening terminal and "watch date" - freezes, with desktop still visible).

problem is resolved by booting former kernel 4.4.0-59-generic.

syslog upon attaching stick ---------------------------------------------------
Feb 21 07:17:02 orin kernel: [ 188.998338] usb 8-2: new high-speed USB device number 2 using xhci_hcd
Feb 21 07:17:02 orin kernel: [ 189.129674] usb 8-2: New USB device found, idVendor=0bda, idProduct=8178
Feb 21 07:17:02 orin kernel: [ 189.129682] usb 8-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Feb 21 07:17:02 orin kernel: [ 189.129687] usb 8-2: Product: USB WLAN
Feb 21 07:17:02 orin kernel: [ 189.129691] usb 8-2: Manufacturer: Realtek
Feb 21 07:17:02 orin kernel: [ 189.129694] usb 8-2: SerialNumber: 00e04c000001
Feb 21 07:17:02 orin mtp-probe: checking bus 8, device 2: "/sys/devices/pci0000:00/0000:00:10.1/usb8/8-2"
Feb 21 07:17:02 orin mtp-probe: bus: 8, device: 2 was not an MTP device
Feb 21 07:17:02 orin dbus[1112]: [system] Activating via systemd: service name='org.freedesktop.UDisks2' unit='udisks2.service'
Feb 21 07:17:02 orin systemd[1]: Starting Disk Manager...
Feb 21 07:17:02 orin udisksd[2447]: udisks daemon version 2.1.7 starting
Feb 21 07:17:02 orin dbus[1112]: [system] Successfully activated service 'org.freedesktop.UDisks2'
Feb 21 07:17:02 orin systemd[1]: Started Disk Manager.
Feb 21 07:17:02 orin udisksd[2447]: Acquired the name org.freedesktop.UDisks2 on the system message bus
Feb 21 07:17:02 orin org.gtk.vfs.AfcVolumeMonitor[1918]: Volume monitor alive
Feb 21 07:17:03 orin kernel: [ 190.200286] cfg80211: World regulatory domain updated:
Feb 21 07:17:03 orin kernel: [ 190.200294] cfg80211: DFS Master region: unset
Feb 21 07:17:03 orin kernel: [ 190.200297] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
Feb 21 07:17:03 orin kernel: [ 190.200303] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
Feb 21 07:17:03 orin kernel: [ 190.200308] cfg80211: (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
Feb 21 07:17:03 orin kernel: [ 190.200312] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
Feb 21 07:17:03 orin kernel: [ 190.200317] cfg80211: (5170000 KHz - 5250000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (N/A)
Feb 21 07:17:03 orin kernel: [ 190.200321] cfg80211: (5250000 KHz - 5330000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (0 s)
Feb 21 07:17:03 orin kernel: [ 190.200325] cfg80211: (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
Feb 21 07:17:03 orin kernel: [ 190.200329] cfg80211: (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
Feb 21 07:17:03 orin kernel: [ 190.200333] cfg80211: (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)
Feb 21 07:17:03 orin kernel: [ 190.223081] rtl8192cu: Chip version 0x11
Feb 21 07:17:03 orin kernel: [ 190.625235] rtl8192cu: MAC address: 14:cc:20:10:43:98
Feb 21 07:17:03 orin kernel: [ 190.625241] rtl8192cu: Board Type 0
Feb 21 07:17:03 orin kernel: [ 190.626355] rtl_usb: rx_max_size 15360, rx_urb_num 8, in_ep 1
Feb 21 07:17:03 orin kernel: [ 190.626408] rtl8192cu: Loading firmware rtlwifi/rtl8192cufw_TMSC.bin
Feb 21 07:17:03 orin NetworkManager[1181]: <info> [1487657823.7698] (wlan0): using nl80211 for WiFi device control
Feb 21 07:17:03 orin kernel: [ 190.636625] ieee80211 phy0: Selected rate control algorithm 'rtl_rc'
Feb 21 07:17:03 orin kernel: [ 190.637211] usbcore: registered new interface driver rtl8192cu
Feb 21 07:17:03 orin systemd[1]: Starting Load/Save RF Kill Switch Status...
Feb 21 07:17:03 orin NetworkManager[1181]: <info> [1487657823.7780] device (wlan0): driver supports Access Point (AP) mode
Feb 21 07:17:03 orin NetworkManager[1181]: <info> [1487657823.7798] manager: (wlan0): new 802.11 WiFi device (/org/freedesktop/NetworkManager/Devices/4)
Feb 21 07:17:03 orin kernel: [ 190.648972] usbcore: registered new interface driver rtl8xxxu
Feb 21 07:17:03 orin dbus[1112]: [system] Activating via systemd: service name='fi.w1.wpa_supplicant1' unit='wpa_supplicant.service'
Feb 21 07:17:03 orin kernel: [ 190.652729] rtl8192cu 8-2:1.0 wlx14cc20104398: renamed from wlan0
Feb 21 07:17:03 orin systemd[1]: Starting WPA supplicant...
Feb 21 07:17:03 orin systemd[1]: Started Load/Save RF Kill Switch Status.
Feb 21 07:17:03 orin NetworkManager[1181]: <info> [1487657823.7963] rfkill1: found WiFi radio killswitch (at /sys/devices/pci0000:00/0000:00:10.1/usb8/8-2/8-2:1.0/ieee80211/phy0/rfkill1) (driver rtl8192cu)
Feb 21 07:17:03 orin NetworkManager[1181]: <info> [1487657823.8067] device (wlan0): interface index 5 renamed iface from 'wlan0' to 'wlx14cc20104398'
Feb 21 07:17:03 orin NetworkManager[1181]: <info> [1487657823.8165] devices added (path: /sys/devices/pci0000:00/0000:00:10.1/usb8/8-2/8-2:1.0/net/wlx14cc20104398, iface: wlx14cc20104398)
Feb 21 07:17:03 orin NetworkManager[1181]: <info> [1487657823.8166] device added (path: /sys/devices/pci0000:00/0000:00:10.1/usb8/8-2/8-2:1.0/net/wlx14cc20104398, iface: wlx14cc20104398): no ifupdown configuration found.
Feb 21 07:17:03 orin NetworkManager[1181]: <info> [1487657823.8174] device (wlx14cc20104398): state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Feb 21 07:17:03 orin kernel: [ 190.685491] IPv6: ADDRCONF(NETDEV_UP): wlx14cc20104398: link is not ready
Feb 21 07:17:03 orin dbus[1112]: [system] Successfully activated service 'fi.w1.wpa_supplicant1'
Feb 21 07:17:03 orin wpa_supplicant[2491]: Successfully initialized wpa_supplicant
Feb 21 07:17:03 orin systemd[1]: Started WPA supplicant.
Feb 21 07:17:03 orin kernel: [ 190.689851] rtl8192cu: MAC auto ON okay!
Feb 21 07:17:04 orin kernel: [ 190.890738] rtl8192cu: Tx queue select: 0x05
Feb 21 07:17:06 orin kernel: [ 193.095643] IPv6: ADDRCONF(NETDEV_UP): wlx14cc20104398: link is not ready
Feb 21 07:17:06 orin NetworkManager[1181]: <info> [1487657826.2323] supplicant: wpa_supplicant running
Feb 21 07:17:06 orin NetworkManager[1181]: <info> [1487657826.2328] device (wlx14cc20104398): supplicant interface state: init -> starting
Feb 21 07:17:06 orin ModemManager[1180]: <info> Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:10.1/usb8/8-2': not supported by any plugin
Feb 21 07:17:06 orin wpa_supplicant[2491]: dbus: wpa_dbus_get_object_properties: failed to get object properties: (none) none
Feb 21 07:17:06 orin wpa_supplicant[2491]: dbus: Failed to construct signal
Feb 21 07:17:06 orin NetworkManager[1181]: <info> [1487657826.2973] device (wlx14cc20104398): supplicant interface state: starting -> ready
Feb 21 07:17:06 orin NetworkManager[1181]: <info> [1487657826.2975] device (wlx14cc20104398): state change: unavailable -> disconnected (reason 'supplicant-available') [20 30 42]
Feb 21 07:17:06 orin kernel: [ 193.165895] IPv6: ADDRCONF(NETDEV_UP): wlx14cc20104398: link is not ready
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2574] device (wlx14cc20104398): supplicant interface state: ready -> inactive
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2696] policy: auto-activating connection 'wlankvm'
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2711] device (wlx14cc20104398): Activation: starting connection 'wlankvm' (be9de38c-cfa5-4b6d-9672-655c0cfb7343)
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2716] device (wlx14cc20104398): state change: disconnected -> prepare (reason 'none') [30 40 0]
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2719] manager: NetworkManager state is now CONNECTING
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2729] device (wlx14cc20104398): state change: prepare -> config (reason 'none') [40 50 0]
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2733] device (wlx14cc20104398): Activation: (wifi) access point 'wlankvm' has security, but secrets are required.
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2733] device (wlx14cc20104398): state change: config -> need-auth (reason 'none') [50 60 0]
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2787] device (wlx14cc20104398): state change: need-auth -> prepare (reason 'none') [60 40 0]
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2797] device (wlx14cc20104398): state change: prepare -> config (reason 'none') [40 50 0]
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2800] device (wlx14cc20104398): Activation: (wifi) connection 'wlankvm' has security, and secrets exist. No new secrets needed.
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2801] Config: added 'ssid' value 'wlankvm'
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2801] Config: added 'scan_ssid' value '1'
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2801] Config: added 'key_mgmt' value 'WPA-PSK'
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2801] Config: added 'psk' value '<omitted>'
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.2819] sup-iface[0x2135cc0,wlx14cc20104398]: config: set interface ap_scan to 1
Feb 21 07:17:07 orin wpa_supplicant[2491]: wlx14cc20104398: SME: Trying to authenticate with 00:1a:4f:45:23:23 (SSID='wlankvm' freq=2462 MHz)
Feb 21 07:17:07 orin kernel: [ 194.162920] wlx14cc20104398: authenticate with 00:1a:4f:45:23:23
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.3153] device (wlx14cc20104398): supplicant interface state: inactive -> authenticating
Feb 21 07:17:07 orin kernel: [ 194.182549] wlx14cc20104398: send auth to 00:1a:4f:45:23:23 (try 1/3)
Feb 21 07:17:07 orin kernel: [ 194.189946] wlx14cc20104398: authenticated
Feb 21 07:17:07 orin kernel: [ 194.190420] wlx14cc20104398: associate with 00:1a:4f:45:23:23 (try 1/3)
Feb 21 07:17:07 orin wpa_supplicant[2491]: wlx14cc20104398: Trying to associate with 00:1a:4f:45:23:23 (SSID='wlankvm' freq=2462 MHz)
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.3284] device (wlx14cc20104398): supplicant interface state: authenticating -> associating
Feb 21 07:17:07 orin kernel: [ 194.221407] wlx14cc20104398: RX AssocResp from 00:1a:4f:45:23:23 (capab=0x411 status=0 aid=3)
Feb 21 07:17:07 orin wpa_supplicant[2491]: wlx14cc20104398: Associated with 00:1a:4f:45:23:23
Feb 21 07:17:07 orin kernel: [ 194.239524] wlx14cc20104398: associated
Feb 21 07:17:07 orin kernel: [ 194.239592] IPv6: ADDRCONF(NETDEV_CHANGE): wlx14cc20104398: link becomes ready
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.3778] device (wlx14cc20104398): supplicant interface state: associating -> 4-way handshake
Feb 21 07:17:07 orin wpa_supplicant[2491]: wlx14cc20104398: WPA: Key negotiation completed with 00:1a:4f:45:23:23 [PTK=CCMP GTK=TKIP]
Feb 21 07:17:07 orin wpa_supplicant[2491]: wlx14cc20104398: CTRL-EVENT-CONNECTED - Connection to 00:1a:4f:45:23:23 completed [id=0 id_str=]
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.4083] device (wlx14cc20104398): supplicant interface state: 4-way handshake -> completed
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.4084] device (wlx14cc20104398): Activation: (wifi) Stage 2 of 5 (Device Configure) successful. Connected to wireless network 'wlankvm'.
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.4085] device (wlx14cc20104398): state change: config -> ip-config (reason 'none') [50 70 0]
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.4108] dhcp4 (wlx14cc20104398): activation: beginning transaction (timeout in 45 seconds)
Feb 21 07:17:07 orin NetworkManager[1181]: <info> [1487657827.4337] dhcp4 (wlx14cc20104398): dhclient started with pid 2533
^^^ freeze upon here -------------------------------------------------------------------

WLAN stick (lsusb -v) ------------------------------------------------------------------
Bus 008 Device 002: ID 0bda:8178 Realtek Semiconductor Corp. RTL8192CU 802.11n WLAN Adapter
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x0bda Realtek Semiconductor Corp.
  idProduct 0x8178 RTL8192CU 802.11n WLAN Adapter
  bcdDevice 2.00
  iManufacturer 1 Realtek
  iProduct 2 USB WLAN
  iSerial 3 00e04c000001
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 46
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0x80
      (Bus Powered)
    MaxPower 500mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 4
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 255 Vendor Specific Subclass
      bInterfaceProtocol 255 Vendor Specific Protocol
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x03 EP 3 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x84 EP 4 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 1
Device Qualifier (for other device speed):
  bLength 10
  bDescriptorType 6
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  bNumConfigurations 1
Device Status: 0x0000
  (Bus Powered)
--------------------------------------------------------------------------------

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.4.0-59-generic 4.4.0-59.80
ProcVersionSignature: Ubuntu 4.4.0-59.80-generic 4.4.35
Uname: Linux 4.4.0-59-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: camikusch 2212 F.... pulseaudio
 /dev/snd/controlC1: camikusch 2212 F.... pulseaudio
CurrentDesktop: XFCE
Date: Tue Feb 21 07:42:51 2017
HibernationDevice: RESUME=UUID=8259bcba-b0e0-455e-87c3-1554b4a2f9c1
InstallationDate: Installed on 2016-04-19 (307 days ago)
InstallationMedia: Xubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-59-generic root=/dev/mapper/xubuntu--vg-root ro quiet
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-59-generic N/A
 linux-backports-modules-4.4.0-59-generic N/A
 linux-firmware 1.157.8
SourcePackage: linux
UpgradeStatus: Upgraded to xenial on 2016-04-22 (305 days ago)
dmi.bios.date: 01/14/2016
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P3.40
dmi.board.name: FM2A88X-ITX+
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP3.40:bd01/14/2016:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnFM2A88X-ITX+:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.

CVE References

camikusch (camikusch) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

I can confirm a kernel crash on 4.4.0-63 in the rtlwifi module that does not occur in -62

According to the stack trace (which I only have as the attached image) it's a Nnull pointer at 000048 from rtl_lps_leave+0x17/0x50

The first two parts of the call trace are:

setup_arp_tx.isra.22+0x4d/0x60 [rtlwifi]
rtl_is_special_data+0x14a/0x160 [rtlwifi]

Probably this patch (from 4.10) needs applying ?

https://lkml.org/lkml/2017/1/8/229

Kernel 4.10 from https://wiki.ubuntu.com/Kernel/MainlineBuilds also works fine (and despite the warnings about missing -extra VirtualBox is OK so I don't have too choose between that and WiFi)

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
importance: Medium → High
Changed in linux (Ubuntu Xenial):
status: New → Incomplete
importance: Undecided → High
tags: added: performing-bisect
Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Xenial):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: Incomplete → In Progress
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Joseph Salisbury (jsalisbury) wrote :

I built a Xenial test kernel with a pick of commit 60f59ce02785. The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1666421/

Can you test this kernel and see if it resolves this bug?

Don Cady (doncady) wrote :

I have the same (or VERY similar) with Yakkety. Will said patch make it to Yakkety, or should I file another bug?

camikusch (camikusch) wrote :

@jsalisbury
test kernel works

installed
linux-image-4.4.0-64-generic_4.4.0-64.85~lp1666421_amd64.deb
linux-image-extra-4.4.0-64-generic_4.4.0-64.85~lp1666421_amd64.deb

11:45 camikusch@orin:/lib/modules/ lsmod | grep rtl
rtl8xxxu 73728 0
rtl8192cu 69632 0
rtl_usb 20480 1 rtl8192cu
rtl8192c_common 53248 1 rtl8192cu
rtlwifi 77824 3 rtl_usb,rtl8192c_common,rtl8192cu
mac80211 737280 4 rtl8xxxu,rtl_usb,rtlwifi,rtl8192cu
cfg80211 565248 2 mac80211,rtlwifi
btrtl 16384 1 btusb
bluetooth 520192 37 bnep,btbcm,btrtl,btusb,rfcomm,btintel
11:46 camikusch@orin:/lib/modules/ uname -a
Linux orin 4.4.0-64-generic #85~lp1666421 SMP Wed Feb 22 21:37:35 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

camikusch (camikusch) wrote :

apt update/upgrade installed a new kernel version 4.4.0-64-generic which has the same problem as mentioned in my first post (kernel 4.4.0-63-generic).
magic sysrq is also affected - the only way to restart the PC is a hard reset. (complete kernel crash?)

Changed in linux (Ubuntu Yakkety):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Joseph Salisbury (jsalisbury)
Didier Misson (dmlinux) wrote :

same bug with Ubuntu 16.04 kernel 4.8.0-39
but 4.8.0-36 is OK.
Thanks.

Brad Figg (brad-figg) on 2017-03-01
Changed in linux (Ubuntu Yakkety):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Carlos (carlos-camara) wrote :

Updated my kubuntu 16.04 with today's new linux-headers-4.4.0-65 and the problem persists.

Axel H. (staff-pro-unreal) wrote :

Still exists with 4.4.0-65 in Ubuntu 16.04 here as well

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Carl Michael Skog (cmskog) wrote :

Still broken in 4.4.0-66 in 16.04(xenial)

Hello,

have the same problem with kernel panic with kernels

4.4.0-64
4.4.0-66

4.8.0-41

Kernel panic occurs on connecting Edimax USB-WiFi-Stick.

Older kernel 4.4.0-62 works without problems.

Manfred Hampl (m-hampl) wrote :

Maybe the only required change in the kernel source is
https://patchwork.kernel.org/patch/9483577/

Can this be incorporated in the next kernel versions for xenial and yakkety?

Ali (ali-tazik) wrote :

this problem still remain in 4.4.0-66.
I have this problem .when I connect to Internet ubuntu is friezed.

Ali (ali-tazik) wrote :

I fixed this problem with this link:
https://github.com/pvaret/rtl8192cu-fixes

Jarkko Korpi (jarkko-korpi-t) wrote :

I can confirm this issue and the workaround at comment 18.

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test this latest kernel and post back if it resolves this bug?
See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed.

Thank you in advance!

Frédéric Danis (fdanis) wrote :

Freeze still occurs after installed linux-image-4.4.0-67-generic and linux-image-extra-4.4.0-67-generic from proposed.
Are they correct packages to test?

Joseph Salisbury (jsalisbury) wrote :

It looks like commit 60f59ce0278557f7896d5158ae6d12a4855a72cc will be in 4.4.0-68. Can those that resolve the bug with dkms try the test kernel posted in comment #7?

Don Cady (doncady) wrote :

Confirm it still crashes with 4.8.0-42 from proposed in Yakkety.

Bernhard G (bernhard001-gmx) wrote :

I can confirm that the test kernel posted in comment #7 solved the issue for me.
See comment 5 of bug #1669815 (duplicate of this one).

Any information when the bugfix will be part of the 4.8.0 kernel?

Joseph Salisbury (jsalisbury) wrote :

Commit 60f59ce0278557f7896d5158ae6d12a4855a72cc has been commited to Yakkety and Xenial and will be in the next kernel release.

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-yakkety' to 'verification-done-yakkety'. If the problem still exists, change the tag 'verification-needed-yakkety' to 'verification-failed-yakkety'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-yakkety
Axel H. (staff-pro-unreal) wrote :

Proposed fix works for xenial

tags: added: verification-done-xenial
removed: verification-needed-xenial
Alexandru Chirvasitu (grobber) wrote :

Same here for xenial: 4.4.0-69 from xenial-proposed fixed it.

Bernhard G (bernhard001-gmx) wrote :

Confirm fix works for yakkety. At least kernel does not panic anymore.

tags: added: verification-done-yakkety
removed: verification-needed-yakkety
Steve Thunder (s.thunder) wrote :

I'm using Ubuntu 16.04.2 LTS \n \l with 4.4.0-66-generic #87-Ubuntu SMP Fri Mar 3 15:29:05 UTC 2017 x86_64 and have all updates installed and my wifi does not work for over one month, upon connecting to any network the machine will freeze, unplugging does not help, I have to hard-reset.

Please URGENTLY fix this!

If you are on the 4.4.0-66 then you have not applied the fixes from proposed, instructions above.

I'm on 16.04.2 LTS, with the -69 kernel from proposed, and WiFi is fine.

Don Cady (doncady) wrote :

Ditto what Bernhard said; Confirm Kernel 4.8.0-43 from proposed works on Yakkety.

Don Cady (doncady) wrote :

...and now broken again with 4.8.0-44 from proposed.

Steve Thunder (s.thunder) wrote :

Tom: yes that's true, recompiling stuff is out of the focus for me and most "user" people, Ubuntu is not ArchLinux and it should "just work". Why can't we just trace back when this bug was introduced by whom and revert the change?

Download full text (19.5 KiB)

I have installed kernel 4.4.0-70 and can boot Xenial but when the Asus
USB-N13 wireless
adapter is installed the system crashes per previous descriptions. Booting
with
4.4.0-62 works.
Thanks
Grant

On Tue, Mar 21, 2017 at 11:28 AM, Thadeu Lima de Souza Cascardo <
<email address hidden>> wrote:

> This bug is awaiting verification that the kernel in -proposed solves
> the problem. Please test the kernel and update this bug with the
> results. If the problem is solved, change the tag 'verification-needed-
> xenial' to 'verification-done-xenial'. If the problem still exists,
> change the tag 'verification-needed-xenial' to 'verification-failed-
> xenial'.
>
> If verification is not done by 5 working days from today, this fix will
> be dropped from the source code, and this bug will be closed.
>
> See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
> to enable and use -proposed. Thank you!
>
>
> ** Tags added: verification-needed-xenial
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1666421
>
> Title:
> kernel 4.4.0-63 with USB WLAN RTL8192CU freezes desktop
>
> Status in linux package in Ubuntu:
> Fix Committed
> Status in linux source package in Xenial:
> Fix Committed
> Status in linux source package in Yakkety:
> Fix Committed
>
> Bug description:
> booting PC with USB WLAN stick RTL8192CU attached on kernel
> 4.4.0-63-generic:
> Grub works, entering full disk encryption passphrase works, but when the
> desktop comes up mouse and keyboard (via USB) are dead and the desktop also.
>
> booting the PC without the stick attached works fine, but as soon as
> it is attached (see syslog) mouse, keyboard and the desktop itself are
> dead (checked by opening terminal and "watch date" - freezes, with
> desktop still visible).
>
> problem is resolved by booting former kernel 4.4.0-59-generic.
>
> syslog upon attaching stick ------------------------------
> ---------------------
> Feb 21 07:17:02 orin kernel: [ 188.998338] usb 8-2: new high-speed USB
> device number 2 using xhci_hcd
> Feb 21 07:17:02 orin kernel: [ 189.129674] usb 8-2: New USB device
> found, idVendor=0bda, idProduct=8178
> Feb 21 07:17:02 orin kernel: [ 189.129682] usb 8-2: New USB device
> strings: Mfr=1, Product=2, SerialNumber=3
> Feb 21 07:17:02 orin kernel: [ 189.129687] usb 8-2: Product: USB WLAN
> Feb 21 07:17:02 orin kernel: [ 189.129691] usb 8-2: Manufacturer:
> Realtek
> Feb 21 07:17:02 orin kernel: [ 189.129694] usb 8-2: SerialNumber:
> 00e04c000001
> Feb 21 07:17:02 orin mtp-probe: checking bus 8, device 2:
> "/sys/devices/pci0000:00/0000:00:10.1/usb8/8-2"
> Feb 21 07:17:02 orin mtp-probe: bus: 8, device: 2 was not an MTP device
> Feb 21 07:17:02 orin dbus[1112]: [system] Activating via systemd:
> service name='org.freedesktop.UDisks2' unit='udisks2.service'
> Feb 21 07:17:02 orin systemd[1]: Starting Disk Manager...
> Feb 21 07:17:02 orin udisksd[2447]: udisks daemon version 2.1.7 starting
> Feb 21 07:17:02 orin dbus[1112]: [system] Successfully activated service
> 'org.freedesktop.UDisks2'
> Feb 21 07:17:02 orin sys...

Bernhard G (bernhard001-gmx) wrote :

Confirm, broken again with 4.8.0-44. So as I assume 4.4.0-70 was also fetched from xenial-proposed I set the tags back to verification-needed-yakkety.

Summary:
  4.4.0-69 worked (verified)
  4.4.0-70 broken
  4.8.0-43 worked (verified)
  4.8.0-44 broken

tags: added: verification-needed-xenial verification-needed-yakkety
removed: verification-done-xenial verification-done-yakkety

So the backported patch was dropped from -70 and -44. Great.

Stdedos (stdedos) wrote :

Also affects me. Xenial, linux-headers-4.4.0-62+-generic (63 through 70)

USB WiFi:
ASUS Model: USB-N13
FCC ID MSQ-USBN13
S/N: DCIEN6005937
IC: 3568A-USBN13B1

But I believe the big stacktrace has more metadata also

Axel H. (staff-pro-unreal) wrote :

Confim:

4.4.0-69 worked
4.4.0-70 broken again in Xenial

tags: added: verification-failed-xenial
removed: verification-needed-xenial
Alexandru Chirvasitu (grobber) wrote :

Same for me: worked briefly with 4.4.0-69, bug came back with 4.4.0-70 (Xenial).

Angel (angelregisregis) wrote :

Since the 4.4.0-63-generic update until the current 4.4.0-70-generic I have stopped working the network with the wifi adpator rtl8192cu and not only the network but the system was frozen and did not start with the adapter Market Stall.
However with the adapter removed, the system boots smoothly. And it re-freezes the moment I insert usb_wifi.
Well I have overcome this error by loading the additional drivers as follows:
From the terminal
Git clone https://github.com/pvaret/rtl8192cu-fixes.git
Sudo dkms add ./rtl8192cu-fixes
Sudo dkms install 8192cu / 1.10
Then we edit the file

Sudo gedit /etc/modprobe.d/blacklist.conf

And we add at the end the line
Blacklist rtl8192cu
We rebooted and at least it worked for me.

In the web of git says that we say:
Sudo cp ./rtl8192cu-fixes/blacklist-native-rtl8192.conf /etc/modprobe.d/
But that did not work for me.

The operation is somewhat irregular sometimes starts at first but other times the speed is very reduced and I must restart the PC or the router to get a good performance.

regards

4.8.0-45-generic = broken.

Alexandru Chirvasitu (grobber) wrote :

Checked just now for 4.4.0-71-generic on xenial, still broken. So to summarize (xenial):

Everything between 4.4.0-63 and 4.4.0-71 (inclusive) exhibits the bug, except for 4.4.0-69.

Hi, unfortunately 4.4.0-69 has been withdrawn from the 16.04 repository. (See here: https://launchpad.net/ubuntu/xenial/+package/linux-tools-4.4.0-69-generic )

Additional information: 4.4.0-71 crashes with WiFi RTL8188CUS chipset (Edimax EW-7811Un), too. Probably same driver as for RTL8192.

Currently stuck at kernel 4.4.0-62, which is the only one working on the system. Crashes first encountered with kernel 4.4.0-64

I'm confused. I'm hitting this bug with 4.4.0-70. I see that newer versions exist. But this bug report does not seem to indicate which version should introduce the fix.
What version is supposed to be working?

Carl Michael Skog (cmskog) wrote :

Confirming that xenial with kernel 4.4.0-72 is broken.

Bernhard G (bernhard001-gmx) wrote :

Yakkety 4.8.0-46 is broken.

@Muelli: 4.4.0-69 from the xenial proposed and 4.8.0-43 from the yakkety proposed repository contained a patch that fixed the issue. For unknown reasons this patch was reverted in 4.4.0-70 and 4.8.0-44. Several non proposed kernel updates have been released since then, all broken.

Is someone still working on this issue? It doesn't look like it given the status "Fix Committed". Correct me if I'm wrong but the WiFi chipsets affected by this bug are in widespread use and I think it is a shame that it seems to be impossible to fix something which was demonstrably working in a previous version.
Can the dev working on it please comment? Greatly appreciated.

Sticking with kernel 4.4.0-62 indefinitely can't be the solution, or can it?

Alexandru Chirvasitu (grobber) wrote :

As an alternative to 4.4.0-62, I've been running 4.4.52 from

http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4.52/

on Xenial i386. This was suggested to me as a test by the dev in the discussion on Bug #1667920, where I inadvertently duplicated the present bug.

@Alexandru: Thank you for that suggestion. I'm not willing to add a PPA for something as important as the kernel. The whole point of having a LTS release is that it receives updates for five years. Bugs like this can not happen in 2017! Or at least they need to be fixed ASAP. We're six weeks in and no fix.

It seems to me that some kernel dev ruined the RTL8188 and RTL8192 drivers and now they can't seem to be bothered to fix the issue. That's simply unacceptable and if this would happen to Microsoft they would receive a good beating for that and rightfully so. Sorry for the rant, but this is really completely unacceptable.

And before anyone asks me for help in fixing this issue -- because it is Open Source and so on -- I am no kernel developer and because I know nothing about how to develop drivers I make sure of not touching them.
So, I ask again: Can Joseph Salisbury please comment on the situation and why there is still no fix for this issue? (FYI: The last entry in the referenced bug #1667920 is from March 17th, which is three weeks ago.)

feluxe (feluxe) wrote :

I refresh this page every couple of hours. I'm desperately waiting for a fix.

Markus Birth (mbirth) wrote :

Possible duplicate: bug #1667160

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the proposed kernel and post back if it resolves this bug?
See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed.

Thank you in advance!

Sorry, Joseph, a bit more information please: Which proposed kernel version specifically? I thought this had been done before. Anyway: I activated the Xenial proposed repository, but I can't see any kernel newer than 4.4.0-72 -- is this the version supposed to fix this issue?
To be honest, after six weeks I would have hoped you have already fixed this issue. I mean, it isn't really expensive to buy a WiFi with RTL8188 chipset, right?

Can you answer the simple question: Why does it take so long to get something working again which did work in the past?

Please name the kernel version to install and test.

Well, alright, I tested kernel 4.4.0-72. Didn't really work for me. It's actually not really helping, because with it Unity is broken, not all icons are loading (workspace switcher is gone), no mouse at all. Something utterly wrong with USB support. At least the system doesn't freeze, so I could recover by switching to a virtual console.
Enabling Xenial proposed didn't really help with the package management either. Got a red alert symbol from the update manager. I had to revert everything, actually took two reboots with 4.4.0-62 until the network was working again. Now I'm back on 4.4.0-62 with Xenial proposed diabled and it will stay that way.

What is wrong with Ubuntu? This is the first time I have had such issues ever and I have been using Ubuntu version 7.10

I will have to check whether Raspbian is also affected by this bug. The reason is: I am using Edimax EW-7811Un (RTL8188 chipset) on several Rasperry Pi computers.
Sorry, but I really do not understand how such things can happen.

Axel H. (staff-pro-unreal) wrote :

@jsalisbury

There is no new Kernel in xenial-proposed to test.
Your proposed fix in Kernel 4.4.0-69 did work and solve the issue, but this fix was removed with Kernel 4.4.0-70 and it is broken again since then.

Even though you had committed a fix, it is now, for unknown reasons, removed and the status "Fix committed" is simply false.

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Confirmed
Changed in linux (Ubuntu):
status: Fix Committed → Confirmed
Manfred Hampl (m-hampl) wrote :

The kernel versions to test are (afaik) 4.4.0-73.94 and 4.8.0-47.50

Alexandru Chirvasitu (grobber) wrote :

4.4.0-73 boots and logs in with no freeze in Xenial.

I'm missing other components (video drivers, wifi), but there is no freeze. I am not sure whether this is because of the rough-and-tumble nature of the -proposed packages or due to missteps in installation on my part, but that specific bug does not occur.

Since it seems to be wifi-related and I have no wifi on 4.4.0-73 though, this might be moot anyway..

Bernhard G (bernhard001-gmx) wrote :

I can confirm that 4.8.0-47.50 from proposed does not freeze in Yakkety.

Should we set the tags to verification-done-* again? Or should we wait for the next proposed version to see, if the patch remains there this time...

Don Cady (doncady) wrote :

Confirm 4.8.0-47.50 from proposed works. There is no freeze/kernel crash, and my rtl8192cu based wifi dongle works again.

@bernhard001-gmx - Sure. This waffling is likely because attention is on 17.04 showstoppers right now.

Frans Ketelaars (frans-2) wrote :

Confirm 4.4.0-73.94 from proposed works. No freeze and good WiFi connection.

ID 0b05:17ba ASUSTek Computer, Inc. N10 Nano 802.11n Network Adapter [Realtek RTL8192CU]

tags: added: verification-done-xenial
removed: verification-failed-xenial
Changed in linux (Ubuntu Xenial):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Alexandru Chirvasitu (grobber) wrote :

Xenial's 4.4.0-73.94 works for me too, after a reinstall.

The laptop's an MSI U160, also with a Realtek 802.11n adapter with driver rtl8192cu.

Works for me.
Thanks
Grant

On 04/11/2017 11:45 AM, Axel H. wrote:
> ** Tags removed: verification-failed-xenial
> ** Tags added: verification-done-xenial
>
> ** Changed in: linux (Ubuntu Xenial)
> Status: Confirmed => Fix Committed
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Fix Committed
>

Olivier Febwin (febcrash) wrote :

Works for me

tags: added: verification-done-trusty verification-done-yakkety
removed: verification-needed-yakkety
Axel Holzinger (aholzinger) wrote :

Xenial's 4.4.0-73.94 does NOT work for me.

Reason: USB WiFi adapter 7392:7822 based on RTL8192SU chipset is not detected/loaded anymore, so no WiFi at all.

Axel Holzinger (aholzinger) wrote :

The reason might be that in "/lib/modules/4.4.0-73-generic/kernel/drivers/net" there is no folder "wireless" at all.

In "/lib/modules/4.4.0-73-generic/kernel/drivers/net/wireless" there is the folder "realtek" with all the needed (but unfortunately not correctly working) drivers.

How do I get back the realtek wireless drivers with 4.4.0-73.94?

Frans Ketelaars (frans-2) wrote :

Perhaps you forgot to install the corresponding linux-image-extra ?

Axel Holzinger (aholzinger) wrote :

Hi Frans, thanx for your comment.

Well I think it's not about forgetting, because I never heard of it :-(
As "sudo apt-get install linux-image-extra" did not help, I tried "sudo apt-get install linux-image-extra-4.4.0-74-generic" (I got already 4.4.0-74.95 when updating).

That brought back wireless and it's working!!!

Thank you all of you!!!

Frans Ketelaars (frans-2) wrote :

Confirm 4.4.0-74.95 from xenial-proposed works.

Alexandru Chirvasitu (grobber) wrote :

Seconding #71: 4.4.0-74.95 from xenial-proposed works on i386 (both lowlatency and generic).

Don Cady (doncady) wrote :

4.8.0-48.51 -proposed works also. No regression this time.

Gerd Pommerenke (goofy864) wrote :

I tried to update to 4.4.0-74.95 from xenial but the "Aktualisierungsverwaltung" installed only 4.4.0.72. Trying to install from terminal I obtained (not found)

username:~$ sudo apt-get install linux-image-4.4.0-74-generic
[sudo] Passwort für username:
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
E: Paket linux-image-4.4.0-74-generic kann nicht gefunden werden.
E: Mittels des Musters »linux-image-4.4.0-74-generic« konnte kein Paket gefunden werden.
E: Mittels regulärem Ausdruck »linux-image-4.4.0-74-generic« konnte kein Paket gefunden werden.
username:~$ sudo apt-get install linux-image-4.4.0-74.95-generic
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
E: Paket linux-image-4.4.0-74.95-generic kann nicht gefunden werden.
E: Mittels des Musters »linux-image-4.4.0-74.95-generic« konnte kein Paket gefunden werden.
E: Mittels regulärem Ausdruck »linux-image-4.4.0-74.95-generic« konnte kein Paket gefunden werden.
username:~$ sudo apt-get install linux-image-4.4.0-74
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
E: Paket linux-image-4.4.0-74 kann nicht gefunden werden.
E: Mittels des Musters »linux-image-4.4.0-74« konnte kein Paket gefunden werden.
E: Mittels regulärem Ausdruck »linux-image-4.4.0-74« konnte kein Paket gefunden werden.

What's wrong?

Bernhard G (bernhard001-gmx) wrote :

For these kernel version you need to enable the proposed repository.
See here: https://wiki.ubuntu.com/Testing/EnableProposed how it's done.

When is the fix out of 'proposed'? I don't want 'proposed' updates. If I'd want that I'd install 16.10

What is the point of an LTS if these bugs can't be fixed?!

HE (princeofsiaper) wrote :

Hi,

I have the same problem until I've instlled Ubuntu 17.04, it worked fine with Ubuntu 16.10.
My kernel version is
Linux version 4.10.0-19-generic (buildd@lcy01-13) (gcc version 6.3.0 20170321 (Ubuntu 6.3.0-10ubuntu1) ) #21-Ubuntu SMP Thu Apr 6 17:04:57 UTC 2017
I've tried to fix the issue with the following solution

https://github.com/pvaret/rtl8192cu-fixes.git
It has worked fine on hour but now each time the laptop freezes and a hard reboot is necessary.
By now I'm using Ethernet connection but not a persistent solution

HE (princeofsiaper) wrote :

Hi,

I've listed all kernels installed on my Linux

ii linux-generic 4.10.0.19.21 amd64 Complete Generic Linux kernel and headers
ii linux-headers-4.10.0-19 4.10.0-19.21 all Header files related to Linux kernel version 4.10.0
ii linux-headers-4.10.0-19-generic 4.10.0-19.21 amd64 Linux kernel headers for version 4.10.0 on 64 bit x86 SMP
ii linux-headers-generic 4.10.0.19.21 amd64 Generic Linux kernel headers
ii linux-image-4.10.0-19-generic 4.10.0-19.21 amd64 Linux kernel image for version 4.10.0 on 64 bit x86 SMP
ii linux-image-extra-4.10.0-19-generic 4.10.0-19.21 amd64 Linux kernel extra modules for version 4.10.0 on 64 bit x86 SMP
ii linux-image-generic 4.10.0.19.21 amd64 Generic Linux kernel image

Thanx

HE (princeofsiaper) wrote :

Hi,

I've tied to install last version of kernel 4.10.11-041011
No error for linux-headers-4.10.11-041011_4.10.11-041011.201704180310

For linux-headers-4.10.11-041011-generic_4.10.11-041011.201704180310 they are following errors:

Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 4.10.11-041011-generic /boot/vmlinuz-4.10.11-041011-generic
Warning: Unable to find an initial ram disk that I know how to handle.
Will not try to make an initrd.
ERROR (dkms apport): kernel package linux-headers-4.10.11-041011-generic is not supported
Error! Bad return status for module build on kernel: 4.10.11-041011-generic (x86_64)
Consult /var/lib/dkms/rtl8192cu-tjp/1.6/build/make.log for more information.

The issue is the compilation of rtl8192cu-fixes.

HE (princeofsiaper) on 2017-04-20
Changed in linux (Ubuntu Yakkety):
status: Fix Committed → Fix Released
feluxe (feluxe) wrote :

I just installed Kernel 4.10.0-19 (Linux Mint 18.1)

It works fine now! Such a relieve. Thanks for the fix :)

Launchpad Janitor (janitor) wrote :
Download full text (29.1 KiB)

This bug was fixed in the package linux - 4.4.0-75.96

---------------
linux (4.4.0-75.96) xenial; urgency=low

  * linux: 4.4.0-75.96 -proposed tracker (LP: #1684441)

  * [Hyper-V] hv: util: move waiting for release to hv_utils_transport itself
    (LP: #1682561)
    - Drivers: hv: util: move waiting for release to hv_utils_transport itself

linux (4.4.0-74.95) xenial; urgency=low

  * linux: 4.4.0-74.95 -proposed tracker (LP: #1682041)

  * [Hyper-V] hv: vmbus: Raise retry/wait limits in vmbus_post_msg()
    (LP: #1681893)
    - Drivers: hv: vmbus: Raise retry/wait limits in vmbus_post_msg()

linux (4.4.0-73.94) xenial; urgency=low

  * linux: 4.4.0-73.94 -proposed tracker (LP: #1680416)

  * CVE-2017-6353
    - sctp: deny peeloff operation on asocs with threads sleeping on it

  * vfat: missing iso8859-1 charset (LP: #1677230)
    - [Config] NLS_ISO8859_1=y

  * Regression: KVM modules should be on main kernel package (LP: #1678099)
    - [Config] powerpc: Add kvm-hv and kvm-pr to the generic inclusion list

  * linux-lts-xenial 4.4.0-63.84~14.04.2 ADT test failure with linux-lts-xenial
    4.4.0-63.84~14.04.2 (LP: #1664912)
    - SAUCE: apparmor: fix link auditing failure due to, uninitialized var

  * regession tests failing after stackprofile test is run (LP: #1661030)
    - SAUCE: fix regression with domain change in complain mode

  * Permission denied and inconsistent behavior in complain mode with 'ip netns
    list' command (LP: #1648903)
    - SAUCE: fix regression with domain change in complain mode

  * unexpected errno=13 and disconnected path when trying to open /proc/1/ns/mnt
    from a unshared mount namespace (LP: #1656121)
    - SAUCE: apparmor: null profiles should inherit parent control flags

  * apparmor refcount leak of profile namespace when removing profiles
    (LP: #1660849)
    - SAUCE: apparmor: fix ns ref count link when removing profiles from policy

  * tor in lxd: apparmor="DENIED" operation="change_onexec"
    namespace="root//CONTAINERNAME_<var-lib-lxd>" profile="unconfined"
    name="system_tor" (LP: #1648143)
    - SAUCE: apparmor: Fix no_new_privs blocking change_onexec when using stacked
      namespaces

  * apparmor oops in bind_mnt when dev_path lookup fails (LP: #1660840)
    - SAUCE: apparmor: fix oops in bind_mnt when dev_path lookup fails

  * apparmor auditing denied access of special apparmor .null fi\ le
    (LP: #1660836)
    - SAUCE: apparmor: Don't audit denied access of special apparmor .null file

  * apparmor label leak when new label is unused (LP: #1660834)
    - SAUCE: apparmor: fix label leak when new label is unused

  * apparmor reference count bug in label_merge_insert() (LP: #1660833)
    - SAUCE: apparmor: fix reference count bug in label_merge_insert()

  * apparmor's raw_data file in securityfs is sometimes truncated (LP: #1638996)
    - SAUCE: apparmor: fix replacement race in reading rawdata

  * unix domain socket cross permission check failing with nested namespaces
    (LP: #1660832)
    - SAUCE: apparmor: fix cross ns perm of unix domain sockets

  * Xenial update to v4.4.59 stable release (LP: #1678960)
    - xfrm: policy: init locks early
    - virtio_balloon: init ...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Axel H. (staff-pro-unreal) wrote :

Confirm: Released fix resolves the issue.

Alexandru Chirvasitu (grobber) wrote :

Seconded: 4.4.0-75.96 from the main xenial repository fixes the problem.

Bernhard G (bernhard001-gmx) wrote :

Just updated to 4.8.0-49.61 from yakkety-updates. The issue is solved, there.
Thank you all!

Frans Ketelaars (frans-2) wrote :

4.4.0-75.96 works for me too with x64 .

Kernel 4.4.0-75.96 on 16.04.02 LTS also confirmed fixed

Kernel 4.4.0-75.96 works for me on xenial 16.04.02 LTS

Po-Hsu Lin (cypressyew) on 2019-10-03
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.